From e97a79b7c6620b777eeff95be21bc4a1b51ccaf7 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 3 Nov 2009 07:07:29 +0100
Subject: [PATCH] Build without eclipse support.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 icu4j.spec |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/icu4j.spec b/icu4j.spec
index bcc5c81..4534d5b 100644
--- a/icu4j.spec
+++ b/icu4j.spec
@@ -33,8 +33,10 @@
 
 %define _with_eclipse 1
 
-%define with_eclipse %{?_with_eclipse:1}%{!?_with_eclipse:0}
-%define without_eclipse %{!?_with_eclipse:1}%{?_with_eclipse:0}
+%ifarch %{arm}
+%define with_eclipse 0
+%define without_eclipse 1
+%endif
 
 %define section free
 
@@ -50,7 +52,7 @@
 
 Name:           icu4j
 Version:        4.0.1
-Release:        3%{?dist}
+Release:        3%{?dist}.fa1
 Epoch:          1
 Summary:        International Components for Unicode for Java
 License:        MIT and EPL 
@@ -191,6 +193,9 @@ unzip -qq -d %{buildroot}/%{eclipse_base} eclipseProjects/ICU4J.com.ibm.icu/com.
 %endif
 
 %changelog
+* Tue Nov 03 2009 Kedar Sovani <kedars@marvell.com> 
+- Build without eclipse
+
 * Mon Aug 10 2009 Alexander Kurtakov <akurtako@redhat.com> 1:4.0.1-3
 - Update qualifier to the Eclipse 3.5.0 release.
 
-- 
1.5.5.6

